Bug 1012650 - Hibernate and standby are disabled since upgrading to Fedora 20
Hibernate and standby are disabled since upgrading to Fedora 20
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xfce4-session (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
: 1026286 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 15:25 EDT by Heiko Adams
Modified: 2014-07-09 20:00 EDT (History)
7 users (show)

See Also:
Fixed In Version: xfce4-session-4.10.1-3.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-17 11:57:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
.xsession-errors file (49.20 KB, text/x-emacs-lisp)
2013-09-29 14:40 EDT, Heiko Adams
no flags Details

  None (edit)
Description Heiko Adams 2013-09-26 15:25:03 EDT
Description of problem:
Since upgrading to Fedora 20 standby and hibernate are disabled in the action menu of Xfce.

Version-Release number of selected component (if applicable):
xfce4-session-4.10.1-2.fc20.x86_64
upower-0.9.21-1.fc20.x86_64

How reproducible:
allways

Steps to Reproduce:
1. Log into a new Xfce session
2. Try to hibernate or standby the system
3.

Actual results:
Both options are greyed out

Expected results:
Both options should be active as on Fedora 19

Additional info:
 $ dbus-send --system --dest=org.freedesktop.login1 --print-reply /org/freedesktop/login1 org.freedesktop.login1.Manager.CanSuspend returns "yes"
Comment 1 Kevin Fenzi 2013-09-26 16:42:47 EDT
Odd. Nothing has changed on the Xfce end. 

Does 'loginctl' show you logged in correctly?

What version of systemd do you have? (rpm -q systemd) there was a recent one that broke logind. 

Although if that was the case I would expect it to say that it can't suspend.
Comment 2 Heiko Adams 2013-09-26 16:52:31 EDT
$ loginctl
   SESSION        UID USER             SEAT            
        c5         43 lightdm          seat0           
        24       1000 heiko            seat0

$ rpm -q systemd
systemd-207-4.fc20.x86_64
Comment 3 Kevin Fenzi 2013-09-28 12:47:30 EDT
So is this happening in both xfce4-power-manager applet and also the session logout in xfce4-session?

Or only one or the other?
Comment 4 Heiko Adams 2013-09-28 13:35:33 EDT
No, they are both affected
Comment 5 Kevin Fenzi 2013-09-29 14:25:58 EDT
Can you attach your ~/.xsession-errors and can you try killing xfce4-power-manager and running it from a terminal and attaching all it's output there? 

Thanks.
Comment 6 Heiko Adams 2013-09-29 14:38:39 EDT
$ xfce4-power-manager --dump --debug
TRACE[xfpm-main.c:272] xfpm_start(): Starting the power manager
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for general-notification
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for lock-screen-suspend-hibernate
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for power-save-on-battery
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for enable-cpu-freq-control
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for critical-power-level
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for show-brightness-popup
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for change-brightness-on-key-events
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for lid-action-on-ac
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for lid-action-on-battery
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for brightness-level-on-battery
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for dpms-on-ac-sleep
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for dpms-on-ac-off
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for dpms-on-battery-sleep
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for dpms-on-battery-off
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for dpms-sleep-mode
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for inactivity-on-ac
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for inactivity-on-battery
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for inactivity-sleep-mode
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for brightness-on-ac
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for brightness-on-battery
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for spin-down-on-ac
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for spin-down-on-battery
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for spin-down-on-ac-timeout
TRACE[xfpm-xfconf.c:156] xfpm_xfconf_load(): Using default configuration for spin-down-on-battery-timeout
TRACE[xfpm-power.c:1097] xfpm_power_get_power_devices(): Power device detected at : /org/freedesktop/UPower/devices/line_power_AC0
TRACE[xfpm-power.c:1044] xfpm_power_add_device():  device added: ((XfpmDeviceType) XFPM_DEVICE_TYPE_LINE_POWER)
TRACE[xfpm-power.c:1097] xfpm_power_get_power_devices(): Power device detected at : /org/freedesktop/UPower/devices/battery_BAT0
TRACE[xfpm-power.c:1044] xfpm_power_add_device():  device added: ((XfpmDeviceType) XFPM_DEVICE_TYPE_BATTERY)
TRACE[xfpm-power.c:1055] xfpm_power_add_device(): Battery device detected at : /org/freedesktop/UPower/devices/battery_BAT0: ((XfpmDeviceType) XFPM_DEVICE_TYPE_BATTERY)
TRACE[xfpm-button.c:179] xfpm_button_xevent_key(): Grabbed key 124 : ((XfpmButtonKey) BUTTON_POWER_OFF)

(xfce4-power-manager:16411): xfce4-power-manager-WARNING **: could not map keysym 1008ffa8 to keycode

TRACE[xfpm-button.c:179] xfpm_button_xevent_key(): Grabbed key 213 : ((XfpmButtonKey) BUTTON_HIBERNATE)
TRACE[xfpm-button.c:179] xfpm_button_xevent_key(): Grabbed key 150 : ((XfpmButtonKey) BUTTON_SLEEP)
TRACE[xfpm-button.c:179] xfpm_button_xevent_key(): Grabbed key 233 : ((XfpmButtonKey) BUTTON_MON_BRIGHTNESS_UP)
TRACE[xfpm-button.c:179] xfpm_button_xevent_key(): Grabbed key 232 : ((XfpmButtonKey) BUTTON_MON_BRIGHTNESS_DOWN)
TRACE[xfpm-button.c:179] xfpm_button_xevent_key(): Grabbed key 244 : ((XfpmButtonKey) BUTTON_BATTERY)
TRACE[xfpm-battery.c:150] xfpm_battery_refresh_visible(): visible=FALSE: ((XfpmShowIcon) SHOW_ICON_WHEN_BATTERY_CHARGING_DISCHARGING)
TRACE[xfpm-battery.c:286] xfpm_battery_refresh_icon(): Battery state 4
TRACE[xfpm-power.c:1190] xfpm_power_refresh_adaptor_visible(): Tray icon configuration: : ((XfpmShowIcon) SHOW_ICON_WHEN_BATTERY_CHARGING_DISCHARGING)
TRACE[xfpm-power.c:1155] xfpm_power_hide_adapter_icon(): Hide adaptor icon
TRACE[xfpm-power.c:1097] xfpm_power_get_power_devices(): Power device detected at : /org/freedesktop/UPower/devices/mouse_0003o046DoC52Bx0004
TRACE[xfpm-power.c:1044] xfpm_power_add_device():  device added: ((XfpmDeviceType) XFPM_DEVICE_TYPE_MOUSE)
TRACE[xfpm-power.c:1055] xfpm_power_add_device(): Battery device detected at : /org/freedesktop/UPower/devices/mouse_0003o046DoC52Bx0004: ((XfpmDeviceType) XFPM_DEVICE_TYPE_MOUSE)
TRACE[xfpm-battery.c:286] xfpm_battery_refresh_icon(): Battery state 0
TRACE[xfpm-power.c:1190] xfpm_power_refresh_adaptor_visible(): Tray icon configuration: : ((XfpmShowIcon) SHOW_ICON_WHEN_BATTERY_CHARGING_DISCHARGING)
TRACE[xfpm-power.c:1155] xfpm_power_hide_adapter_icon(): Hide adaptor icon
TRACE[xfpm-polkit.c:368] xfpm_polkit_init_data(): Using unix session polkit subject
TRACE[xfpm-polkit.c:455] xfpm_polkit_check_auth_intern(): Action=org.freedesktop.login1.suspend is authorized=TRUE
TRACE[xfpm-polkit.c:455] xfpm_polkit_check_auth_intern(): Action=org.freedesktop.login1.hibernate is authorized=TRUE
TRACE[xfpm-power.c:1190] xfpm_power_refresh_adaptor_visible(): Tray icon configuration: : ((XfpmShowIcon) SHOW_ICON_WHEN_BATTERY_CHARGING_DISCHARGING)
TRACE[xfpm-power.c:1155] xfpm_power_hide_adapter_icon(): Hide adaptor icon
TRACE[xfpm-polkit.c:455] xfpm_polkit_check_auth_intern(): Action=org.freedesktop.udisks.drive-set-spindown is authorized=TRUE
TRACE[xfpm-disks.c:170] xfpm_disks_get_is_auth_to_spin(): Is auth to spin down disks : 1
TRACE[xfpm-disks.c:147] xfpm_disks_set_spin_timeouts(): On Battery=0 spin_down_enabled=0 timeout=800

TRACE[xfpm-backlight.c:324] xfpm_backlight_brightness_on_ac_settings_changed(): Alarm on ac timeout changed 9
TRACE[xfpm-backlight.c:345] xfpm_backlight_brightness_on_battery_settings_changed(): Alarm on battery timeout changed 120
---------------------------------------------------
       Xfce power manager version 1.2.0
Mit Unterstützung für »policykit«
Mit Unterstützung für »network-manager«
Mit Unterstützung von DPMS
---------------------------------------------------
Kann in Standby versetzen: Ja
Kann in Ruhezustand versetzen: Nein
Kann Festplatten herunterdrehen: Ja
Darf in den Standbybetrieb versetzen: Ja
Darf System in den Ruhezustand versetzen: Ja
Darf System herunterfahren: Ja
Darf Festplatten herunterdrehen: Ja
Hat Akku: Ja
Hat Helligkeitsregler: Ja
Hat Hauptschalter: Ja
Hat Taste für Ruhezustand: Ja
Hat Schlaf-Taste: Ja
Hat Klappe: Ja
TRACE[xfpm-battery.c:286] xfpm_battery_refresh_icon(): Battery state 4
TRACE[xfpm-power.c:1190] xfpm_power_refresh_adaptor_visible(): Tray icon configuration: : ((XfpmShowIcon) SHOW_ICON_WHEN_BATTERY_CHARGING_DISCHARGING)
TRACE[xfpm-power.c:1155] xfpm_power_hide_adapter_icon(): Hide adaptor icon
TRACE[xfpm-battery.c:286] xfpm_battery_refresh_icon(): Battery state 4
TRACE[xfpm-power.c:1190] xfpm_power_refresh_adaptor_visible(): Tray icon configuration: : ((XfpmShowIcon) SHOW_ICON_WHEN_BATTERY_CHARGING_DISCHARGING)
TRACE[xfpm-power.c:1155] xfpm_power_hide_adapter_icon(): Hide adaptor icon
TRACE[xfpm-battery.c:286] xfpm_battery_refresh_icon(): Battery state 0
TRACE[xfpm-power.c:1190] xfpm_power_refresh_adaptor_visible(): Tray icon configuration: : ((XfpmShowIcon) SHOW_ICON_WHEN_BATTERY_CHARGING_DISCHARGING)
TRACE[xfpm-power.c:1155] xfpm_power_hide_adapter_icon(): Hide adaptor icon
TRACE[xfpm-polkit.c:238] xfpm_polkit_free_data(): Destroying Polkit data
TRACE[xfpm-battery.c:286] xfpm_battery_refresh_icon(): Battery state 4
TRACE[xfpm-power.c:1190] xfpm_power_refresh_adaptor_visible(): Tray icon configuration: : ((XfpmShowIcon) SHOW_ICON_WHEN_BATTERY_CHARGING_DISCHARGING)
TRACE[xfpm-power.c:1155] xfpm_power_hide_adapter_icon(): Hide adaptor icon
Comment 7 Heiko Adams 2013-09-29 14:40:36 EDT
Created attachment 804751 [details]
.xsession-errors file
Comment 8 Kevin Fenzi 2013-10-03 14:00:33 EDT
Very odd. So, xfce4-power-manager hasn't been updated anytime recently. The debug above shows that it's seeing that suspend is ok. 

I don't understand why suspend would be greyed out from the right click menu on it. 

I guess I can try and add some debugging to it. I'm heading out on a trip however, so it will not be very soon I'm afraid.
Comment 9 Mukundan Ragavan 2013-10-13 15:56:37 EDT
I am also seeing this - with one difference. I can use the battery (power-manager) icon on my panel to suspend without problems. However, hibernate is greyed out.

I am also not seeing suspend and hibernate option on the xfce4-session-logout window. I tried to enable it using

xfconf-query -c xfce4-session -np '/shutdown/ShowSuspend' -t 'bool' -s 'true'
xfconf-query -c xfce4-session -np '/shutdown/ShowHibernate' -t 'bool' -s 'true'

This used to work in Fedora 19, I believe.
Comment 10 Micha Wali 2013-10-26 17:49:04 EDT
It  seems not to be restricted to XFCE :-( I'm using LXDE and just saw it can't suspend or hibernate. FC19 can suspend and hibernate on this PC.... 
$ dbus-send --system --dest=org.freedesktop.login1 --print-reply /org/freedesktop/login1 org.freedesktop.login1.Manager.CanSuspend returns "yes"
Comment 11 Kevin Fenzi 2013-10-28 14:25:21 EDT
Adding Lennart for comment. As far as I know the interface has not changed, but perhaps it has and we need to adjust our patches/support.
Comment 12 Kevin Fenzi 2013-11-04 16:35:20 EST
*** Bug 1026286 has been marked as a duplicate of this bug. ***
Comment 13 Miro Hrončok 2013-11-05 06:37:48 EST
I can suspend from battery icon in systray. (Thanks for workaround BTW)

However the suspend and hibernate icons aren't even there in the log out popup window. Not even grayed out as somebody mentioned.
Comment 14 Kevin Fenzi 2013-11-05 10:47:27 EST
ok. I think I might see whats going on here. 

Could folks try this scratch build: 

http://koji.fedoraproject.org/koji/taskinfo?taskID=6139797

and see if things start working again? (At least for the session side, I can't see what would be wrong on the power-manager side yet, it works fine here).
Comment 15 Heiko Adams 2013-11-05 11:07:48 EST
After installing that scratch build on my x86_64 machine hybernate and suspend are no longer greyed out after loging out and back in.
Comment 16 Fedora Update System 2013-11-05 12:58:52 EST
xfce4-session-4.10.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xfce4-session-4.10.1-3.fc20
Comment 17 Miro Hrončok 2013-11-05 13:46:42 EST
After restarting it works.

However, when I suspend via power manager, my screen is locked (as in settings of power management), but when I suspend via Logout popup window, it's not. Guess I open another bug for that.
Comment 18 Kevin Fenzi 2013-11-05 14:00:21 EST
Do you have: sessions & startup -> advanced -> lock screen when suspending checked?

If not, check that and it should work. 
If so, thats a new bug. ;) 

xfce4-session and xfce4-power-manager not sharing a setting is: 
https://bugzilla.xfce.org/show_bug.cgi?id=9030
Comment 19 Miro Hrončok 2013-11-05 18:42:07 EST
Nope, thats the thing.
Comment 20 Fedora Update System 2013-11-06 13:22:24 EST
Package xfce4-session-4.10.1-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfce4-session-4.10.1-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20754/xfce4-session-4.10.1-3.fc20
then log in and leave karma (feedback).
Comment 21 Fedora Update System 2013-11-23 22:34:58 EST
xfce4-session-4.10.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Christopher 2014-01-14 22:43:35 EST
Problem persists.  I'm running F20 XFCE x86_64 and have the same issue.

Substantive difference is that I'm using Cairo-dock as a replacement for the default xfce-panel.

Symptoms are similar...Suspend and Hibernate options appear greyed out on both the Log Out menu and the right-click menu for the battery power icon.


[root@skorpios ~]# rpm -qa |grep session
xfce4-session-4.10.1-3.fc20.x86_64
xfce4-session-engines-4.10.1-3.fc20.x86_64
Comment 23 Kevin Fenzi 2014-01-16 13:33:17 EST
(In reply to Christopher from comment #22)
> Problem persists.  I'm running F20 XFCE x86_64 and have the same issue.
> 
> Substantive difference is that I'm using Cairo-dock as a replacement for the
> default xfce-panel.
> 
> Symptoms are similar...Suspend and Hibernate options appear greyed out on
> both the Log Out menu and the right-click menu for the battery power icon.
> 
> 
> [root@skorpios ~]# rpm -qa |grep session
> xfce4-session-4.10.1-3.fc20.x86_64
> xfce4-session-engines-4.10.1-3.fc20.x86_64

How are you logging in? lightdm? 

What does 'loginctl -a' report? 

Does it work if you switch back to xfce4-panel (I would not think that the panel would have anything to do with it, but it's a good datapoint). 

Does it work with a newly created user?
Comment 24 Ding-Yi Chen 2014-07-08 00:33:55 EDT
Bug can be reproduced with xfce4-session-4.10.1-3.fc20.x86_64

Mine is a fresh install.

Suspend works but hibernate does not.
Comment 25 Kevin Fenzi 2014-07-08 13:25:01 EDT
(In reply to Ding-Yi Chen from comment #24)
> Bug can be reproduced with xfce4-session-4.10.1-3.fc20.x86_64
> 
> Mine is a fresh install.
> 
> Suspend works but hibernate does not.

Have you applied all updates?

Does 'systemd-sleep hibernate' work?

How are you logging in?
Comment 26 Ding-Yi Chen 2014-07-08 23:08:21 EDT
I was loggined with lightdm.

Yes, I apply all the update.

But systemctl hibernate does not work.

However, I was using secure boot, and it is a known bug(Bug 986370)
that hibernate wound fail with secure boot on.

After secure boot off, the hibernate works again.
Comment 27 Kevin Fenzi 2014-07-09 18:39:31 EDT
ok, so aside the secure boot issue, it's all working now as expected?

Or you mean without secure boot you can 'systemctl hibernate' ok, but Xfce still doesn't show that as an option?
Comment 28 Ding-Yi Chen 2014-07-09 20:00:59 EDT
Yes, it is working as expected.

Note You need to log in before you can comment on or make changes to this bug.